﻿using UnityEngine;
using System.Collections;

public class ButtonScript : MonoBehaviour
{
    public static bool IsButtonClickRunning { get; set; }

    public enum ButtonsEnum
    {
        Sphinx,
        GoldAnkh,
        BlackAnkh,
        Soldier,
        Priestess,
        FearDoor,
        HopeDoor,
        Priest1,
        Priest2,
        Prince,
        Water,
        Wood,
        Faith,
        Eresy,
        Lamb,
        Rope,
        Servants,
        Girl,
    }

    public ButtonsEnum buttonType;

    void OnMouseUp()
    {
        if (!IsButtonClickRunning)
        {
            switch (buttonType)
            {
                case ButtonsEnum.Sphinx:
                    StartCoroutine(SphinxClick());
                    break;
                case ButtonsEnum.GoldAnkh:
                    StartCoroutine(GoldAnkhClick());
                    break;
                case ButtonsEnum.BlackAnkh:
                    StartCoroutine(BlackAnkhClick());
                    break;
                case ButtonsEnum.Soldier:
                    StartCoroutine(SoldierClick());
                    break;
                case ButtonsEnum.Priestess:
                    StartCoroutine(PriestessClick());
                    break;
                case ButtonsEnum.FearDoor:
                    StartCoroutine(FearDoorClick());
                    break;
                case ButtonsEnum.HopeDoor:
                    StartCoroutine(HopeDoorClick());
                    break;
                case ButtonsEnum.Priest1:
                    StartCoroutine(Priest1Click());
                    break;
                case ButtonsEnum.Priest2:
                    StartCoroutine(Priest2Click());
                    break;
                case ButtonsEnum.Prince:
                    StartCoroutine(PrinceClick());
                    break;
                case ButtonsEnum.Water:
                    StartCoroutine(WaterClick());
                    break;
                case ButtonsEnum.Wood:
                    StartCoroutine(WoodClick());
                    break;
                case ButtonsEnum.Faith:
                    StartCoroutine(FaithClick());
                    break;
                case ButtonsEnum.Eresy:
                    StartCoroutine(EresyClick());
                    break;
                case ButtonsEnum.Lamb:
                    StartCoroutine(LambClick());
                    break;
                case ButtonsEnum.Rope:
                    StartCoroutine(RopeClick());
                    break;
                case ButtonsEnum.Servants:
                    StartCoroutine(ServantsClick());
                    break;
                case ButtonsEnum.Girl:
                    StartCoroutine(GirlClick());
                    break;
                default:
                    break;
            }
        }
    }

    IEnumerator GirlClick()
    {
        EventsManager.SetEventValue(Events.E27, true);
        IsButtonClickRunning = true;
        Destroy(this.transform.GetChild(0).gameObject);
        Destroy(GameObject.Find("Act3Scene/Scena/Girl").transform.GetChild(0).gameObject);

        GameObject.Find("Act3Scene/Scena/Girl").GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("Girl/GirlDead");

        yield return new WaitForSeconds(1);
        GameManager.Instance.CloseCurtains();

        GameObject bottomText = GameObject.Find("Foreground/Papiro");
        GameObject topText = GameObject.Find("Foreground/TextTop");
        GameObject leftText = GameObject.Find("Foreground/TextLeft");
        GameObject rightext = GameObject.Find("Foreground/TextRight");
        bottomText.GetComponent<SpriteRenderer>().color = new Color(1, 1, 1, 0);
        bottomText.transform.Find("TextBottom").GetComponent<SpriteRenderer>().sprite = null;
        topText.GetComponent<SpriteRenderer>().sprite = null;
        leftText.GetComponent<SpriteRenderer>().sprite = null;
        rightext.GetComponent<SpriteRenderer>().sprite = null;
        yield return new WaitForSeconds(2);

        GameManager.Instance.ChangeScene(GameManager.GameAct.EPILOGUE);

        IsButtonClickRunning = false;
    }

    IEnumerator ServantsClick()
    {
        EventsManager.SetEventValue(Events.E28, true);
        IsButtonClickRunning = true;
        Destroy(this.transform.GetChild(0).gameObject);
        Destroy(GameObject.Find("Act3Scene/Scena/Servants").transform.GetChild(0).gameObject);

        GameObject.Find("Act3Scene/Scena/Servants").GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("Servants/Servitore_morto");
        GameObject.Find("Act3Scene/Scena/Servants/Servant1").GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("Servants/Servitore_morto");
        GameObject.Find("Act3Scene/Scena/Servants/Servant2").GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("Servants/Servitore_morto");
        GameObject.Find("Act3Scene/Scena/Girl").GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("Girl/GirlFree");

        yield return new WaitForSeconds(1);
        GameManager.Instance.CloseCurtains();

        GameObject bottomText = GameObject.Find("Foreground/Papiro");
        GameObject topText = GameObject.Find("Foreground/TextTop");
        GameObject leftText = GameObject.Find("Foreground/TextLeft");
        GameObject rightext = GameObject.Find("Foreground/TextRight");
        bottomText.GetComponent<SpriteRenderer>().color = new Color(1, 1, 1, 0);
        bottomText.transform.Find("TextBottom").GetComponent<SpriteRenderer>().sprite = null;
        topText.GetComponent<SpriteRenderer>().sprite = null;
        leftText.GetComponent<SpriteRenderer>().sprite = null;
        rightext.GetComponent<SpriteRenderer>().sprite = null;
        yield return new WaitForSeconds(2);

        GameManager.Instance.ChangeScene(GameManager.GameAct.EPILOGUE);

        IsButtonClickRunning = false;
    }

    IEnumerator RopeClick()
    {
        EventsManager.SetEventValue(Events.E25, true);
        IsButtonClickRunning = true;
        Destroy(this.transform.GetChild(0).gameObject);
        Destroy(GameObject.Find("Act3Scene/Scena/Agnello/Lamb").transform.GetChild(0).gameObject);

        GameObject lamb = GameObject.Find("Act3Scene/Scena/Agnello");
        lamb.GetComponent<SpriteRenderer>().color = new Color(1, 1, 1, 0);
        GameObject.Find("Act3Scene/Scena/AgnelloVivo").SetActive(true);
        
        yield return new WaitForSeconds(1);

        GameManager.Instance.CloseCurtains();

        GameObject bottomText = GameObject.Find("Foreground/Papiro");
        GameObject topText = GameObject.Find("Foreground/TextTop");
        GameObject leftText = GameObject.Find("Foreground/TextLeft");
        GameObject rightext = GameObject.Find("Foreground/TextRight");
        bottomText.GetComponent<SpriteRenderer>().color = new Color(1, 1, 1, 0);
        bottomText.transform.Find("TextBottom").GetComponent<SpriteRenderer>().sprite = null;
        topText.GetComponent<SpriteRenderer>().sprite = null;
        leftText.GetComponent<SpriteRenderer>().sprite = null;
        rightext.GetComponent<SpriteRenderer>().sprite = null;
        yield return new WaitForSeconds(2);

        bottomText.GetComponent<SpriteRenderer>().color = new Color(1, 1, 1, 1);
        bottomText.transform.Find("TextBottom").GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_010_sotto");
        topText.GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_010_sopra");
        leftText.GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_010_sx");
        rightext.GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_09_sx_scena_010_dx");

        GameObject.Find("Act3Scene/Scena/Girl").SetActive(true);
        GameObject.Find("Act3Scene/Scena/Servants").SetActive(true);
        GameObject.Find("Act3Scene/Scena/AgnelloVivo").SetActive(false);

        GameManager.Instance.OpenCurtains();
        lamb.SetActive(false);

        IsButtonClickRunning = false;
    }

    IEnumerator LambClick()
    {
        EventsManager.SetEventValue(Events.E24, true);
        IsButtonClickRunning = true;
        Destroy(this.transform.GetChild(0).gameObject);
        Destroy(GameObject.Find("Act3Scene/Scena/Agnello/Rope").transform.GetChild(0).gameObject);

        GameObject lamb = GameObject.Find("Act3Scene/Scena/Agnello");
        lamb.GetComponent<SpriteRenderer>().color = new Color(1, 1, 1, 0);
        GameObject.Find("Act3Scene/Scena/AgnelloMorto").SetActive(true);
        
        yield return new WaitForSeconds(1);

        GameManager.Instance.CloseCurtains();

        GameObject bottomText = GameObject.Find("Foreground/Papiro");
        GameObject topText = GameObject.Find("Foreground/TextTop");
        GameObject leftText = GameObject.Find("Foreground/TextLeft");
        GameObject rightext = GameObject.Find("Foreground/TextRight");
        bottomText.GetComponent<SpriteRenderer>().color = new Color(1, 1, 1, 0);
        bottomText.transform.Find("TextBottom").GetComponent<SpriteRenderer>().sprite = null;
        topText.GetComponent<SpriteRenderer>().sprite = null;
        leftText.GetComponent<SpriteRenderer>().sprite = null;
        rightext.GetComponent<SpriteRenderer>().sprite = null;
        yield return new WaitForSeconds(2);

        bottomText.GetComponent<SpriteRenderer>().color = new Color(1, 1, 1, 1);
        bottomText.transform.Find("TextBottom").GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_010_sotto");
        topText.GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_010_sopra");
        leftText.GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_010_sx");
        rightext.GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_09_sx_scena_010_dx");

        GameObject.Find("Act3Scene/Scena/Girl").SetActive(true);
        GameObject.Find("Act3Scene/Scena/Servants").SetActive(true);
        GameObject.Find("Act3Scene/Scena/AgnelloMorto").SetActive(false);

        GameManager.Instance.OpenCurtains();
        lamb.SetActive(false);

        IsButtonClickRunning = false;
    }

    IEnumerator EresyClick()
    {
        EventsManager.SetEventValue(Events.E17, true);
        IsButtonClickRunning = true;
        Destroy(this.transform.GetChild(0).gameObject);
        Destroy(GameObject.Find("Act2Scene/Scena/Faith").transform.GetChild(0).gameObject);
        GameManager.Instance.CloseCurtains();

        GameObject bottomText = GameObject.Find("Foreground/Papiro");
        GameObject topText = GameObject.Find("Foreground/TextTop");
        GameObject leftText = GameObject.Find("Foreground/TextLeft");
        GameObject rightext = GameObject.Find("Foreground/TextRight");
        bottomText.GetComponent<SpriteRenderer>().color = new Color(1, 1, 1, 0);
        bottomText.transform.Find("TextBottom").GetComponent<SpriteRenderer>().sprite = null;
        topText.GetComponent<SpriteRenderer>().sprite = null;
        leftText.GetComponent<SpriteRenderer>().sprite = null;
        rightext.GetComponent<SpriteRenderer>().sprite = null;
        yield return new WaitForSeconds(2);

        bottomText.GetComponent<SpriteRenderer>().color = new Color(1, 1, 1, 1);
        bottomText.transform.Find("TextBottom").GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_09_sotto");
        topText.GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_09_sopra");
        leftText.GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_09_sx_scena_010_dx");
        rightext.GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_09_dx");

        GameManager.Instance.ChangeScene(GameManager.GameAct.ACT3);

        IsButtonClickRunning = false;
    }

    IEnumerator FaithClick()
    {
        EventsManager.SetEventValue(Events.E16, true);
        IsButtonClickRunning = true;
        Destroy(this.transform.GetChild(0).gameObject);
        Destroy(GameObject.Find("Act2Scene/Scena/Eresy").transform.GetChild(0).gameObject);
        GameManager.Instance.CloseCurtains();

        GameObject bottomText = GameObject.Find("Foreground/Papiro");
        GameObject topText = GameObject.Find("Foreground/TextTop");
        GameObject leftText = GameObject.Find("Foreground/TextLeft");
        GameObject rightext = GameObject.Find("Foreground/TextRight");
        bottomText.GetComponent<SpriteRenderer>().color = new Color(1, 1, 1, 0);
        bottomText.transform.Find("TextBottom").GetComponent<SpriteRenderer>().sprite = null;
        topText.GetComponent<SpriteRenderer>().sprite = null;
        leftText.GetComponent<SpriteRenderer>().sprite = null;
        rightext.GetComponent<SpriteRenderer>().sprite = null;
        yield return new WaitForSeconds(2);

        bottomText.GetComponent<SpriteRenderer>().color = new Color(1, 1, 1, 1);
        bottomText.transform.Find("TextBottom").GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_09_sotto");
        topText.GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_09_sopra");
        leftText.GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_09_sx_scena_010_dx");
        rightext.GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_09_dx");

        GameManager.Instance.ChangeScene(GameManager.GameAct.ACT3);

        IsButtonClickRunning = false;
    }

    IEnumerator WoodClick()
    {
        EventsManager.SetEventValue(Events.E14, true);
        IsButtonClickRunning = true;
        Destroy(this.transform.GetChild(0).gameObject);
        Destroy(GameObject.Find("Act2Scene/Scena/Water").transform.GetChild(0).gameObject);
        GameManager.Instance.CloseCurtains();

        GameObject bottomText = GameObject.Find("Foreground/Papiro");
        GameObject topText = GameObject.Find("Foreground/TextTop");
        GameObject leftText = GameObject.Find("Foreground/TextLeft");
        GameObject rightext = GameObject.Find("Foreground/TextRight");
        bottomText.GetComponent<SpriteRenderer>().color = new Color(1, 1, 1, 0);
        bottomText.transform.Find("TextBottom").GetComponent<SpriteRenderer>().sprite = null;
        topText.GetComponent<SpriteRenderer>().sprite = null;
        leftText.GetComponent<SpriteRenderer>().sprite = null;
        rightext.GetComponent<SpriteRenderer>().sprite = null;
        yield return new WaitForSeconds(2);

        bottomText.GetComponent<SpriteRenderer>().color = new Color(1, 1, 1, 1);
        bottomText.transform.Find("TextBottom").GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_08_sotto");
        topText.GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_08_sopra");
        leftText.GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_08_sx");
        rightext.GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_08_dx");

        GameObject.Find("Act2Scene/Scena/Bracier").SetActive(false);
        GameObject.Find("Act2Scene/Scena/Water").SetActive(false);
        GameObject.Find("Act2Scene/Scena/Wood").SetActive(false);
        GameObject.Find("Act2Scene/Scena/Altar").SetActive(true);
        GameObject.Find("Act2Scene/Scena/Faith").SetActive(true);
        GameObject.Find("Act2Scene/Scena/Eresy").SetActive(true);

        GameManager.Instance.OpenCurtains();

        IsButtonClickRunning = false;
    }

    IEnumerator WaterClick()
    {
        EventsManager.SetEventValue(Events.E15, true);
        IsButtonClickRunning = true;
        Destroy(this.transform.GetChild(0).gameObject);
        Destroy(GameObject.Find("Act2Scene/Scena/Wood").transform.GetChild(0).gameObject);
        GameManager.Instance.CloseCurtains();

        GameObject bottomText = GameObject.Find("Foreground/Papiro");
        GameObject topText = GameObject.Find("Foreground/TextTop");
        GameObject leftText = GameObject.Find("Foreground/TextLeft");
        GameObject rightext = GameObject.Find("Foreground/TextRight");
        bottomText.GetComponent<SpriteRenderer>().color = new Color(1, 1, 1, 0);
        bottomText.transform.Find("TextBottom").GetComponent<SpriteRenderer>().sprite = null;
        topText.GetComponent<SpriteRenderer>().sprite = null;
        leftText.GetComponent<SpriteRenderer>().sprite = null;
        rightext.GetComponent<SpriteRenderer>().sprite = null;
        yield return new WaitForSeconds(2);

        bottomText.GetComponent<SpriteRenderer>().color = new Color(1, 1, 1, 1);
        bottomText.transform.Find("TextBottom").GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_08_sotto");
        topText.GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_08_sopra");
        leftText.GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_08_sx");
        rightext.GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_08_dx");

        GameObject.Find("Act2Scene/Scena/Bracier").SetActive(false);
        GameObject.Find("Act2Scene/Scena/Water").SetActive(false);
        GameObject.Find("Act2Scene/Scena/Wood").SetActive(false);
        GameObject.Find("Act2Scene/Scena/Altar").SetActive(true);
        GameObject.Find("Act2Scene/Scena/Faith").SetActive(true);
        GameObject.Find("Act2Scene/Scena/Eresy").SetActive(true);

        GameManager.Instance.OpenCurtains();

        IsButtonClickRunning = false;
    }

    IEnumerator PrinceClick()
    {
        EventsManager.SetEventValue(Events.E13, true);
        IsButtonClickRunning = true;
        Destroy(GameObject.Find("Act2Scene/Scena/PrinceGold").transform.GetChild(0).gameObject);
        Destroy(GameObject.Find("Act2Scene/Scena/PrinceBlack").transform.GetChild(0).gameObject);
        Destroy(GameObject.Find("Act2Scene/Scena/Priest2").transform.GetChild(0).gameObject);
        GameManager.Instance.CloseCurtains();

        GameObject bottomText = GameObject.Find("Foreground/Papiro");
        GameObject topText = GameObject.Find("Foreground/TextTop");
        GameObject leftText = GameObject.Find("Foreground/TextLeft");
        GameObject rightext = GameObject.Find("Foreground/TextRight");
        bottomText.GetComponent<SpriteRenderer>().color = new Color(1, 1, 1, 0);
        bottomText.transform.Find("TextBottom").GetComponent<SpriteRenderer>().sprite = null;
        topText.GetComponent<SpriteRenderer>().sprite = null;
        leftText.GetComponent<SpriteRenderer>().sprite = null;
        rightext.GetComponent<SpriteRenderer>().sprite = null;
        yield return new WaitForSeconds(2);

        bottomText.GetComponent<SpriteRenderer>().color = new Color(1, 1, 1, 1);
        bottomText.transform.Find("TextBottom").GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_07_sotto");
        topText.GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_07_sopra");
        leftText.GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_07_sx");
        rightext.GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_07_dx");

        GameObject.Find("Act2Scene/Scena/Priest2").SetActive(false);
        GameObject.Find("Act2Scene/Scena/PrinceGold").SetActive(false);
        GameObject.Find("Act2Scene/Scena/PrinceBlack").SetActive(false);
        GameObject.Find("Act2Scene/Scena/Bracier").SetActive(true);
        GameObject.Find("Act2Scene/Scena/Water").SetActive(true);
        GameObject.Find("Act2Scene/Scena/Wood").SetActive(true);

        GameManager.Instance.OpenCurtains();

        IsButtonClickRunning = false;
    }

    IEnumerator Priest2Click()
    {
        EventsManager.SetEventValue(Events.E12, true);
        IsButtonClickRunning = true;
        Destroy(this.transform.GetChild(0).gameObject);
        Destroy(GameObject.Find("Act2Scene/Scena/PrinceGold").transform.GetChild(0).gameObject);
        Destroy(GameObject.Find("Act2Scene/Scena/PrinceBlack").transform.GetChild(0).gameObject);

        GameObject.Find("Act2Scene/Scena/Priest2").GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("Sacerdotessa_braccia_avanti");
        GameObject.Find("Act2Scene/Scena/PrinceGold").SetActive(false);
        GameObject.Find("Act2Scene/Scena/PrinceBlack").SetActive(false);

        yield return new WaitForSeconds(2);

        GameManager.Instance.CloseCurtains();

        GameObject bottomText = GameObject.Find("Foreground/Papiro");
        GameObject topText = GameObject.Find("Foreground/TextTop");
        GameObject leftText = GameObject.Find("Foreground/TextLeft");
        GameObject rightext = GameObject.Find("Foreground/TextRight");
        bottomText.GetComponent<SpriteRenderer>().color = new Color(1, 1, 1, 0);
        bottomText.transform.Find("TextBottom").GetComponent<SpriteRenderer>().sprite = null;
        topText.GetComponent<SpriteRenderer>().sprite = null;
        leftText.GetComponent<SpriteRenderer>().sprite = null;
        rightext.GetComponent<SpriteRenderer>().sprite = null;

        yield return new WaitForSeconds(2);

        bottomText.GetComponent<SpriteRenderer>().color = new Color(1, 1, 1, 1);
        bottomText.transform.Find("TextBottom").GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_07_sotto");
        topText.GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_07_sopra");
        leftText.GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_07_sx");
        rightext.GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_07_dx");

        GameObject.Find("Act2Scene/Scena/Priest2").SetActive(false);
        GameObject.Find("Act2Scene/Scena/Bracier").SetActive(true);
        GameObject.Find("Act2Scene/Scena/Water").SetActive(true);
        GameObject.Find("Act2Scene/Scena/Wood").SetActive(true);

        GameManager.Instance.OpenCurtains();

        IsButtonClickRunning = false;
    }

    IEnumerator Priest1Click()
    {
        EventsManager.SetEventValue(Events.E11, true);
        IsButtonClickRunning = true;
        Destroy(this.transform.GetChild(0).gameObject);
        GameManager.Instance.CloseCurtains();

        GameObject bottomText = GameObject.Find("Foreground/Papiro");
        GameObject topText = GameObject.Find("Foreground/TextTop");
        GameObject leftText = GameObject.Find("Foreground/TextLeft");
        GameObject rightext = GameObject.Find("Foreground/TextRight");
        bottomText.GetComponent<SpriteRenderer>().color = new Color(1, 1, 1, 0);
        bottomText.transform.Find("TextBottom").GetComponent<SpriteRenderer>().sprite = null;
        topText.GetComponent<SpriteRenderer>().sprite = null;
        leftText.GetComponent<SpriteRenderer>().sprite = null;
        rightext.GetComponent<SpriteRenderer>().sprite = null;
        yield return new WaitForSeconds(2);

        bottomText.GetComponent<SpriteRenderer>().color = new Color(1, 1, 1, 1);
        bottomText.transform.Find("TextBottom").GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_05_sotto");
        topText.GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_05_sopra");
        leftText.GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_06_sx");
        rightext.GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_06_dx");

        GameObject.Find("Act2Scene/Scena/Priest1").SetActive(false);
        GameObject.Find("Act2Scene/Scena/Priest2").SetActive(true);
        if (EventsManager.GetEventValue(Events.E04))
            GameObject.Find("Act2Scene/Scena/PrinceGold").SetActive(true);
        else
            GameObject.Find("Act2Scene/Scena/PrinceBlack").SetActive(true);

        GameManager.Instance.OpenCurtains();

        IsButtonClickRunning = false;
    }

    IEnumerator FearDoorClick()
    {
        EventsManager.SetEventValue(Events.E08, true);
        IsButtonClickRunning = true;
        Destroy(this.transform.GetChild(0).gameObject);
        Destroy(GameObject.Find("Act1Scene/Scena/HopeDoor").transform.GetChild(0).gameObject);
        GameManager.Instance.CloseCurtains();

        GameObject bottomText = GameObject.Find("Foreground/Papiro");
        GameObject topText = GameObject.Find("Foreground/TextTop");
        GameObject leftText = GameObject.Find("Foreground/TextLeft");
        GameObject rightext = GameObject.Find("Foreground/TextRight");
        bottomText.GetComponent<SpriteRenderer>().color = new Color(1, 1, 1, 0);
        bottomText.transform.Find("TextBottom").GetComponent<SpriteRenderer>().sprite = null;
        topText.GetComponent<SpriteRenderer>().sprite = null;
        leftText.GetComponent<SpriteRenderer>().sprite = null;
        rightext.GetComponent<SpriteRenderer>().sprite = null;
        yield return new WaitForSeconds(2);

        bottomText.GetComponent<SpriteRenderer>().color = new Color(1, 1, 1, 1);
        bottomText.transform.Find("TextBottom").GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_05_sotto");
        topText.GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_05_sopra");

        GameManager.Instance.ChangeScene(GameManager.GameAct.ACT2);

        IsButtonClickRunning = false;
    }

    IEnumerator HopeDoorClick()
    {
        EventsManager.SetEventValue(Events.E09, true);
        IsButtonClickRunning = true;
        Destroy(this.transform.GetChild(0).gameObject);
        Destroy(GameObject.Find("Act1Scene/Scena/FearDoor").transform.GetChild(0).gameObject);
        GameManager.Instance.CloseCurtains();

        GameObject bottomText = GameObject.Find("Foreground/Papiro");
        GameObject topText = GameObject.Find("Foreground/TextTop");
        GameObject leftText = GameObject.Find("Foreground/TextLeft");
        GameObject rightext = GameObject.Find("Foreground/TextRight");
        bottomText.GetComponent<SpriteRenderer>().color = new Color(1, 1, 1, 0);
        bottomText.transform.Find("TextBottom").GetComponent<SpriteRenderer>().sprite = null;
        topText.GetComponent<SpriteRenderer>().sprite = null;
        leftText.GetComponent<SpriteRenderer>().sprite = null;
        rightext.GetComponent<SpriteRenderer>().sprite = null;
        yield return new WaitForSeconds(2);

        bottomText.GetComponent<SpriteRenderer>().color = new Color(1, 1, 1, 1);
        bottomText.transform.Find("TextBottom").GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_05_sotto");
        topText.GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_05_sopra");

        GameManager.Instance.ChangeScene(GameManager.GameAct.ACT2);

        IsButtonClickRunning = false;
    }

    IEnumerator PriestessClick()
    {
        EventsManager.SetEventValue(Events.E07, true);
        IsButtonClickRunning = true;
        Destroy(this.transform.GetChild(0).gameObject);
        Destroy(GameObject.Find("Act1Scene/Scena/Soldato").transform.GetChild(0).gameObject);

        GameObject sacerdotessa = GameObject.Find("Act1Scene/Scena/Sacerdotessa");
        GameObject soldato = GameObject.Find("Act1Scene/Scena/Soldato");
        sacerdotessa.GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("Sacerdotessa_inchino");

        yield return new WaitForSeconds(1);

        GameManager.Instance.CloseCurtains();

        GameObject bottomText = GameObject.Find("Foreground/Papiro");
        GameObject topText = GameObject.Find("Foreground/TextTop");
        GameObject leftText = GameObject.Find("Foreground/TextLeft");
        GameObject rightext = GameObject.Find("Foreground/TextRight");
        bottomText.GetComponent<SpriteRenderer>().color = new Color(1, 1, 1, 0);
        bottomText.transform.Find("TextBottom").GetComponent<SpriteRenderer>().sprite = null;
        topText.GetComponent<SpriteRenderer>().sprite = null;
        leftText.GetComponent<SpriteRenderer>().sprite = null;
        rightext.GetComponent<SpriteRenderer>().sprite = null;

        yield return new WaitForSeconds(2);
        bottomText.GetComponent<SpriteRenderer>().color = new Color(1, 1, 1, 1);
        bottomText.transform.Find("TextBottom").GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_04_sotto");
        topText.GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_04_sopra");
        leftText.GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_04_dx");
        rightext.GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_04_sx");

        sacerdotessa.SetActive(false);
        soldato.SetActive(false);
        GameObject.Find("Act1Scene/Scena/Sphinx").SetActive(false);
        GameObject.Find("Act1Scene/Scena/Temple").SetActive(true);
        GameObject.Find("Act1Scene/Scena/FearDoor").SetActive(true);
        GameObject.Find("Act1Scene/Scena/HopeDoor").SetActive(true);
        GameObject.Find("Act1Scene/Scena/character").transform.position = new Vector3(-1.05f, -1.1f, 0);

        GameManager.Instance.OpenCurtains();

        IsButtonClickRunning = false;
    }

    IEnumerator SoldierClick()
    {
        EventsManager.SetEventValue(Events.E06, true);
        IsButtonClickRunning = true;
        Destroy(this.transform.GetChild(0).gameObject);
        Destroy(GameObject.Find("Act1Scene/Scena/Sacerdotessa").transform.GetChild(0).gameObject);

        GameObject sacerdotessa = GameObject.Find("Act1Scene/Scena/Sacerdotessa");
        GameObject soldato = GameObject.Find("Act1Scene/Scena/Soldato");
        soldato.GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("Soldier_kneel");

        yield return new WaitForSeconds(1);

        GameManager.Instance.CloseCurtains();

        GameObject bottomText = GameObject.Find("Foreground/Papiro");
        GameObject topText = GameObject.Find("Foreground/TextTop");
        GameObject leftText = GameObject.Find("Foreground/TextLeft");
        GameObject rightext = GameObject.Find("Foreground/TextRight");
        bottomText.GetComponent<SpriteRenderer>().color = new Color(1, 1, 1, 0);
        bottomText.transform.Find("TextBottom").GetComponent<SpriteRenderer>().sprite = null;
        topText.GetComponent<SpriteRenderer>().sprite = null;
        leftText.GetComponent<SpriteRenderer>().sprite = null;
        rightext.GetComponent<SpriteRenderer>().sprite = null;

        yield return new WaitForSeconds(2);
        bottomText.GetComponent<SpriteRenderer>().color = new Color(1, 1, 1, 1);
        bottomText.transform.Find("TextBottom").GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_04_sotto");
        topText.GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_04_sopra");
        leftText.GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_04_dx");
        rightext.GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_04_sx");

        sacerdotessa.SetActive(false);
        soldato.SetActive(false);
        GameObject.Find("Act1Scene/Scena/Sphinx").SetActive(false);
        GameObject.Find("Act1Scene/Scena/Temple").SetActive(true);
        GameObject.Find("Act1Scene/Scena/FearDoor").SetActive(true);
        GameObject.Find("Act1Scene/Scena/HopeDoor").SetActive(true);
        GameObject.Find("Act1Scene/Scena/character").transform.position = new Vector3(-1.05f, -1.1f, 0);

        GameManager.Instance.OpenCurtains();

        IsButtonClickRunning = false;
    }

    IEnumerator GoldAnkhClick()
    {
        EventsManager.SetEventValue(Events.E04, true);
        IsButtonClickRunning = true;
        Destroy(this.transform.GetChild(0).gameObject);
        Destroy(GameObject.Find("Act1Scene/Scena/BlackAnkh").transform.GetChild(0).gameObject);
        GameManager.Instance.CloseCurtains();

        GameObject bottomText = GameObject.Find("Foreground/Papiro");
        GameObject topText = GameObject.Find("Foreground/TextTop");
        GameObject leftText = GameObject.Find("Foreground/TextLeft");
        GameObject rightext = GameObject.Find("Foreground/TextRight");
        bottomText.GetComponent<SpriteRenderer>().color = new Color(1, 1, 1, 0);
        bottomText.transform.Find("TextBottom").GetComponent<SpriteRenderer>().sprite = null;
        topText.GetComponent<SpriteRenderer>().sprite = null;
        leftText.GetComponent<SpriteRenderer>().sprite = null;
        rightext.GetComponent<SpriteRenderer>().sprite = null;

        yield return new WaitForSeconds(2);
        bottomText.GetComponent<SpriteRenderer>().color = new Color(1, 1, 1, 1);
        bottomText.transform.Find("TextBottom").GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_03_sotto");
        topText.GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_03_sopra");
        leftText.GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_03_sx");
        rightext.GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_03_dx");
        GameObject character = GameObject.Find("Act1Scene/Scena/character");
        character.SetActive(false);
        character.SetActive(true);
        character.GetComponent<Animator>().Play("charaterIdle");

        GameObject.Find("Act1Scene/Scena/Sphinx").GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("sphinxDefault");
        character.GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("character_kneel");
        GameObject.Find("Act1Scene/Scena/BlackAnkh").SetActive(false);
        GameObject.Find("Act1Scene/Scena/GoldAnkh").SetActive(false);
        GameObject.Find("Act1Scene/Scena/Sacerdotessa").SetActive(true);
        GameObject.Find("Act1Scene/Scena/Soldato").SetActive(true);

        GameManager.Instance.OpenCurtains();

        IsButtonClickRunning = false;
    }

    IEnumerator BlackAnkhClick()
    {
        EventsManager.SetEventValue(Events.E05, true);
        IsButtonClickRunning = true;
        Destroy(this.transform.GetChild(0).gameObject);
        Destroy(GameObject.Find("Act1Scene/Scena/GoldAnkh").transform.GetChild(0).gameObject);
        GameManager.Instance.CloseCurtains();

        GameObject bottomText = GameObject.Find("Foreground/Papiro");
        GameObject topText = GameObject.Find("Foreground/TextTop");
        GameObject leftText = GameObject.Find("Foreground/TextLeft");
        GameObject rightext = GameObject.Find("Foreground/TextRight");
        bottomText.GetComponent<SpriteRenderer>().color = new Color(1, 1, 1, 0);
        bottomText.transform.Find("TextBottom").GetComponent<SpriteRenderer>().sprite = null;
        topText.GetComponent<SpriteRenderer>().sprite = null;
        leftText.GetComponent<SpriteRenderer>().sprite = null;
        rightext.GetComponent<SpriteRenderer>().sprite = null;

        yield return new WaitForSeconds(2);
        bottomText.GetComponent<SpriteRenderer>().color = new Color(1, 1, 1, 1);
        bottomText.transform.Find("TextBottom").GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_03_sotto");
        topText.GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_03_sopra");
        leftText.GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_03_sx");
        rightext.GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_03_dx");
        GameObject character = GameObject.Find("Act1Scene/Scena/character");
        character.SetActive(false);
        character.SetActive(true);
        character.GetComponent<Animator>().Play("charaterIdle");

        GameObject.Find("Act1Scene/Scena/Sphinx").GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("sphinxDefault");
        character.GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("character_kneel");
        GameObject.Find("Act1Scene/Scena/BlackAnkh").SetActive(false);
        GameObject.Find("Act1Scene/Scena/GoldAnkh").SetActive(false);
        GameObject.Find("Act1Scene/Scena/Sacerdotessa").SetActive(true);
        GameObject.Find("Act1Scene/Scena/Soldato").SetActive(true);

        GameManager.Instance.OpenCurtains();

        IsButtonClickRunning = false;
    }

    IEnumerator SphinxClick()
    {
        EventsManager.SetEventValue(Events.E03, true);
        IsButtonClickRunning = true;
        Destroy(this.transform.GetChild(0).gameObject);

        GameManager.Instance.CloseCurtains();

        GameObject bottomText = GameObject.Find("Foreground/Papiro");
        GameObject topText = GameObject.Find("Foreground/TextTop");
        GameObject leftText = GameObject.Find("Foreground/TextLeft");
        GameObject rightext = GameObject.Find("Foreground/TextRight");
        bottomText.GetComponent<SpriteRenderer>().color = new Color(1, 1, 1, 0);
        bottomText.transform.Find("TextBottom").GetComponent<SpriteRenderer>().sprite = null;
        topText.GetComponent<SpriteRenderer>().sprite = null;
        leftText.GetComponent<SpriteRenderer>().sprite = null;
        rightext.GetComponent<SpriteRenderer>().sprite = null;

        yield return new WaitForSeconds(2);
        bottomText.GetComponent<SpriteRenderer>().color = new Color(1, 1, 1, 1);
        bottomText.transform.Find("TextBottom").GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_02_sotto");
        topText.GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_02_sopra");
        leftText.GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_02_sx");
        rightext.GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("scena_02_dx");

        this.GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("sphinx");
        GameObject character = GameObject.Find("Act1Scene/Scena/character");
        character.GetComponent<Animator>().Stop();
        character.GetComponent<SpriteRenderer>().sprite = Resources.Load<Sprite>("character_kneel");
        GameObject.Find("Act1Scene/Scena/BlackAnkh").SetActive(true);
        GameObject.Find("Act1Scene/Scena/GoldAnkh").SetActive(true);

        GameManager.Instance.OpenCurtains();

        yield return new WaitForSeconds(2);
        IsButtonClickRunning = false;

        Destroy(this);
    }
}
