﻿using UnityEngine;
using System.Collections;

public class CameraManager : MonoBehaviour
{
    private static Camera MainCamera { get; set; }

    public const float DefaultCameraSize = 2.25f;
    public const float SmallCameraSize = 0.75f;
    public const float MediumCameraSize = 1.25f;
    public const float BigCameraSize = 1.75f;

    private static CameraManager instance;

    // Use this for initialization
    void Start()
    {
        MainCamera = this.GetComponent<Camera>();
        instance = this;
    }

    // Update is called once per frame
    void Update()
    {

    }

    private static void ZoomPosition(Vector2 position, float size)
    {
        Vector3 previousPosition = MainCamera.transform.position;
        iTween.MoveTo(MainCamera.gameObject, new Vector3(position.x / 100, position.y / 100, previousPosition.z), 2);
        instance.StartCoroutine(instance.CameraSizeValueTo(MainCamera.orthographicSize, size, 1));
    }

    IEnumerator ZoomAfterSeconds(Vector2 position, float size, float seconds)
    {
        yield return new WaitForSeconds(seconds);

        ZoomPosition(position, size);
    }

    IEnumerator CameraSizeValueTo(float from, float to, float time)
    {
        float frames = 30 * time;

        float totalIncrease = to - from;
        float timeStep = time / frames;
        float increaseStep = totalIncrease / frames;

        for (int i = 0; i < frames; i++)
        {
            yield return new WaitForSeconds(timeStep);

            MainCamera.orthographicSize += increaseStep;
        }
    }
}
